Delete Custom Indicator

Prev Next
Delete
/objects/{OBJECT_ID}/indicators/{INDICATOR_ID}

This API deletes a custom indicator from the conversation.

The Conversation (Object) ID and the Indicator ID are required.

The Indicator ID is the name used to add the specific icon (e.g., "home" in the creation example).

Security
HTTP
Type bearer

API key is needed to authorize requests. You can get your API key via the management console.
A Bearer Token is needed to be set in the Authorization header of every API call.
For additional support you can contact us.

Path parameters
OBJECT_ID
integerRequired

Object ID. This is a CommBox generated number

Example62824402
INDICATOR_ID
stringRequired

Indicator ID. This is the name given to the icon at time of creation

Examplehome
Responses
200

OK - Indicator successfully deleted

object
status
integer
Example200
description
string
ExampleOperation successful
response_time
string (date-time)
Example2024-08-06T07:51:52.258Z
data
string | null
Example
400

Bad Request - The request could not be understood by the server. Incoming parameters might not be valid

object
status
integer
Example400
description
string
ExampleBad Request
response_time
string (date-time)
401

Unauthorized - The supplied credentials, if any, are not sufficient to access the resource

object
status
integer
Example401
description
string
ExampleUnauthorized access
response_time
string (date-time)
404

Not Found - The requested resource is not found

object
status
integer
Example404
description
string
ExampleNot found
response_time
string (date-time)
429

Too Many Requests - Too many requests have been made in a short period of time (Throttling)

object
status
integer
Example429
description
string
ExampleToo Many Requests
response_time
string (date-time)
500

Internal Server Error - The server could not return the representation due to an internal server error

object
status
integer
Example500
description
string
ExampleOperation failed
response_time
string (date-time)
501

Not Implemented - The requested operation is not supported

object
status
integer
Example501
description
string
ExampleNot Implemented
response_time
string (date-time)